#include <Client.h>
#include <Ethernet.h>
#include <stdio.h>

#define TIEMPO_ESPERA 2000

int n = 1;
byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };
byte arduinoip[] = { 192, 168, 0, 110 };
byte ip[] = { 192, 168, 0, 104 };
Client client(ip,9998); //decimos que trabaje como client, y en la puerta 9998, debemos poner la misma puerta, con la que trabaja el programa python de reaccion (SocketReaccion.py)

void setup(){
  pinMode(4,OUTPUT);
  Ethernet.begin(mac,arduinoip); // le damos una ip al arduino
  Serial.begin(9600);
  delay(1000);
  Serial.println("Conectando..."); 
    if (client.connect()){  // conectando
      Serial.println("Conectado");
    }else{
      Serial.println("Fallo en conexion");
    }
}      
void loop(){
    if(client.connected()){
     if(client.available()){
        Serial.println("He recibido peticion del servidor");
        int i = 0;
        char buf[255] = {}, c;
        while ((c = client.read()) != -1) {
           buf[i++] = c;
           if (i == sizeof(buf))
             break;
        }
        if(strcmp(buf, "GET /SecurityAlert/Fire HTTP/1.1\nHost: localhost\n") == 0){
          Serial.println("Y es correcta"); 
          digitalWrite(4,HIGH);
          /* Aqui introducimos los pines que queremos activar o leer, etc*/
          Serial.println("Se encendio");
          delay(60000);
          Serial.println("Se acabo");
          digitalWrite(4,LOW);         
        } else {
          Serial.println("pero es una peticion invalida");
          Serial.println(buf);
        }
        delay(TIEMPO_ESPERA);
     }
     Serial.println("No hay peticiones del servidor");
     delay(TIEMPO_ESPERA);
   } else {
      client.stop();
      if (client.connect()){
        Serial.println("Conectado con exito");
      }else{
        Serial.println("No me he podido reconectar");
      delay(TIEMPO_ESPERA);
    }
  }
}
